#include "ep_lib.hpp"
#include <mpi.h>
#include "ep_declaration.hpp"
#include <iostream>
#include <fstream>
#include "ep_mpi.hpp"

using namespace std;


namespace ep_lib
{ 
  ep_comm::ep_comm(void* comm)
  {
    is_ep = false;
    is_intercomm = false;
    mpi_comm = static_cast< ::MPI_Comm*>(comm);
  }

  ep_info::ep_info(void* info)
  {
    mpi_info = static_cast< ::MPI_Info*>(info);
  }

  ep_request::ep_request(void* request)
  {
    mpi_request = static_cast< ::MPI_Request*>(request);
  }
  
  ep_status::ep_status(void* status)
  {
    mpi_status = static_cast< ::MPI_Status*>(status);
  }

  /*
  
  MPI_Aint::MPI_Aint(void* aint)
  {
    mpi_aint = new ::MPI_Aint;
    *(static_cast< ::MPI_Aint*>(mpi_aint)) = *(static_cast< ::MPI_Aint*>(aint));
  }

  MPI_Aint::MPI_Aint(int aint)
  {
    mpi_aint = new ::MPI_Aint;
    *(static_cast< ::MPI_Aint*>(mpi_aint)) = aint;
  }

  MPI_Aint MPI_Aint::operator=(int a)
  {
    mpi_aint = new ::MPI_Aint;
    *(static_cast< int*>(mpi_aint)) = a; 
  }
  
  MPI_Fint::MPI_Fint(void* fint)
  {
    mpi_fint = new ::MPI_Fint;
    *(static_cast< ::MPI_Fint*>(mpi_fint)) = *(static_cast< ::MPI_Fint*>(fint));
  }

  
*/
  


}









